$(function(){
    var MC = $('body'),
        title = MC.find('#h1title').html(),
        pic = MC.find('.artical-main').find('img').attr('src');
    var platform = navigator.userAgent.toLowerCase(),
		isIOS= (/iphone|ipod|ipad/gi).test(platform),
		isIPad = (/ipad/gi).test(platform),
		isAndroid = (/android/gi).test(platform),
		isAndroidOld = (/android 2.3/gi).test(platform) || (/android 2.2/gi).test(platform),
		isSafari = (/safari/gi).test(platform) && !(/chrome/gi).test(platform),
		isWifiwx = true,
		isWechat = /micromessenger/gi.test(platform);
    
    var control = {
    	
        init : function(){
            MC
            // .on('touchstart','.btn-share',$.proxy(this.goshare , this))
            .on('click','.appshare', $.proxy(this.goToShare , this))
            .on('click', '.news-item' , $.proxy( this.goTolink , this))
           	.on('click', '.comment-list li,.more-comment' , $.proxy( this.goToCommentList , this ))
            if( isIOS ){
            		    this.getImg();
            }
            this.getAd();
            this.getCDSPAd();
        },

        getCDSPAd : function(){
                hgClient.getNewsDetailCDSPAd(function(res){
                    if(!res) return;
                    $('.dianxun-ad').show();
                    $('.dianxun-ad').find('a').attr('href',"javascript:goToLink('"+ JSON.parse(res).landPageUrl +"')");
                    $('.dianxun-ad').find('img').attr('src',JSON.parse(res).materialUrl);
                });
        },

        getAd : function(){
            var ad_bg = MC.find('.ad-bg'),
                ad = ad_bg.attr('_img');
            if( ad ){
                ad_bg.show();
            }	
        },
        getIcon : function(){
            var icon_bg = MC.find('.icon'),
                icon_type = icon_bg.attr('_type');
            if( icon_type ){
                icon_bg.show();
            }	
        },
       goToCommentList : function(){
       		hgClient.goToCommentList();
       },
  
        goToShare : function( event ){
			//goToShare( weiXinFriend );
			var target = $(event.currentTarget),
				type = target.attr("_type");				
			 hgClient.sharePlat( type );
        },
        
        getImg : function(){
        	var param = [];
        	MC.find('.ico-bg').map(function(){
        		var name = $(this).attr('_name');
        		param.push(name);
        	});
        	hgClient.achieveAbsoluteDirectoryWithImageName( param );
        },
        
        // goshare : function( dom ){
            // var option = {
                // content : title ,
                // pic : pic
            // };
            // //console.log(this.getRootUrl());
            // var baseUrl = this.getRootUrl() + location.pathname;
            // var param = this.getParam();
// 
            // baseUrl += '?id=' + param.id;
// 
            // option.content_url = baseUrl;
// 
            // hgClient.goShare( option );
        // },
        
        goTolink : function( event ){
        	var target = $( event.curretTarget );
        	
        },
        
        getRootUrl : function(){
            var rootUrl = document.location.protocol+'//'+(document.location.hostname||document.location.host);
            if ( document.location.port||false ) {
                rootUrl += ':'+document.location.port;
            }
            rootUrl += '/';

            return rootUrl;
        },
        
        getParam : function( key ){
            var search = location.search.substring(1),
                pairs = search.split('&');
            var args = {}, param = {};
            for(var i=0; i< pairs.length; i++){
                var pos = pairs[i].indexOf('=');
                if( pos == -1 ) continue;
                var arg = pairs[i].substring(0, pos);
                if( typeof key !== 'undefined' && key == arg){
                    return pairs[i].substring(pos+1) || '';
                }
                args[arg] = pairs[i].substring(pos+1);
            }
            return args;
        }
        
    }
    control.init();

});

var tpl = '{{if info}}'+
    		  '<div class="p1"><span class="p1_fl"></span><span class="p1_fr">热门评论</span></div>'+
	          '<ul class="comment-list">'+
	    		  '{{each info}}'+
		           ' <li class="hg-flex comment-item">'+
		                '<div class="comment-img"><img src="{{if $value.member_info}}{{= $value.member_info.avatar.host}}{{= $value.member_info.avatar.dir}}{{= $value.member_info.avatar.filepath}}{{= $value.member_info.avatar.filename}}{{else}}http://img.city.hogesoft.com/material/news/img/100x75/2015/07/20150716165306p1su.png{{/if}}" > </div>'+
		                '<div class="hg-flex-one comment-info">'+
		                    '<div class="comment-item  h20 hg-flex">'+
		                        '<div class="comment-item-title font13 hg-flex-one overhidden">{{if $value.member_info}}{{= $value.member_info.nick_name}}{{else if $value.username}}{{= $value.username}}{{else}}{{= $value.appname}}{{/if}}</div>'+
		                        // '<div class="comment-item-date hg-flex-one overhidden">{{= $value.pub_time}}</div>'+
		                        //'<div class="comment-mutual-info hg-flex-one">'+
		                             // '<span class="dian"><em></em>3</span>'+
		                             // '<span class="total"><em></em>8</span>'+
		                        //'</div>'+
                                '<div class="comment-item-dian font13">{{if $value.useful}}{{= $value.useful}}{{/if}}顶</div>'+ 
		                    '</div>'+
		                     '<div class="comment-mutual hg-flex">'+
		                     	 '<div class="comment-item-date font10">{{if $value.pubtime}}{{= $value.pub_time}}{{/if}}</div>'+
		                     '</div>'+
                     '{{if $value.ori_content}}<div class="comment-item-content font16"><strong>{{if $value.ori_username}}{{= $value.ori_username}}{{/if}}:</strong>{{if $value.ori_content}}{{= $value.ori_content}}{{/if}}</div>{{/if}}'+
		                     '<div class="comment-item-brief font16">{{if $value.content}}{{= $value.content}}{{/if}}</div>'+
		                '</div>'+
		            '</li>'+
	           '{{/each}}'+
           '</ul>'+
           '<div class="more-comment">查看更多相关评论</div>'+
           '{{/if}}';
function getCommentlist( json ){
	// $.each(json,function(key,value){
		// var time = value.pubtime;
		// var real_time = new Date(time) * 1000; 
// 		
	// });
	
	var data ={};
	if( json[0] ){
		data.info = json[0] ? json : '';
	var comment = template.compile( tpl ),
		comment_html = comment( data );
	$('.artical-comment').html( comment_html ).show();
	}
	
};
function goToMoreNews(){
    hgClient.goToMoreNews();
}
function achieveAbsoluteDirectoryWithImageName( json ){
	$.each(json,function(key,value){
		MC.find('.ico-bg[_name="'+ key +'"]').css('background-image:',value);
	});
}
function changeNight(){
    $('body').addClass('changestyle') 
}

function changeDay()
{
  $('body').removeClass('changestyle') 

}
